eth_getProof

Returns the account and storage values of the specified account including the Merkle-proof. This call can be used to verify that the data you are pulling from is not tampered with.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

  • address - a string representing the address (20 bytes) to check for balance
  • storageKeys - Array of 32-Byte storage keys that should be proofed and included. See eth_getStorageAt.
  • blockParameter - a hexadecimal block number, or the string "latest" or "earliest"

Response

Returns the account and storage values of the specified account including the Merkle-proof.

Result Fields

  • balance: hexadecimal of the current balance in Wei.
  • codeHash: 32-Byte hash of the code of the account.
  • nonce: nonce of the account.
  • storageHash: 32 Bytes - SHA3 of the StorageRoot. All storage will deliver a Merkle proof starting with this rootHash.
  • accountProof: array of rlp-serialized MerkleTree-Nodes, starting with the stateRoot-Node, following the path of the SHA3 (address) as key.
  • storageProof: array of storage-entries as requested. Each entry is an object with these properties:
    • key: the requested storage key.
    • value: the storage value.
    • proof: array of rlp-serialized MerkleTree-Nodes, starting with the storageHash-Node, following the path of the SHA3 (key) as path.

Examples

Example Responses
{
  "id": 1,
  "jsonrpc": "2.0",
  "result": {
    "accountProof": [
      "0xf90211a...0701bc80",
      "0xf90211a...0d832380",
      "0xf90211a...5fb20c80",
      "0xf90211a...0675b80",
      "0xf90151a0...ca08080"
    ],
    "balance": "0x0",
    "codeHash": "0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
    "nonce": "0x0",
    "storageHash": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421",
    "storageProof": [
      {
        "key": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421",
        "proof": [
          "0xf90211a...0701bc80",
          "0xf90211a...0d832380"
        ],
        "value": "0x1"
      }
    ]
  }
}
Path Params
string
required
Defaults to public

For higher throughput, please create your own API key.

Body Params
int32
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to eth_getProof
params
array of strings
required
length between 3 and 3
Defaults to 0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842,0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421,latest
  1. address - String - 20 Bytes - Address of the account
  2. storageKeys - Array - 32 Bytes - array of storage-keys which should be proofed and included, See eth_getStorageAt.
  3. blockParameter - String - Either the hex value of a block number OR One of the following block tags:
  • pending - A sample next block built by the client on top of latest and containing the set of transactions usually taken from local mempool. Intuitively, you can think of these as blocks that have not been mined yet.
  • latest - The most recent block in the canonical chain observed by the client, this block may be re-orged out of the canonical chain even under healthy/normal conditions.
  • earliest - The lowest numbered block the client has available. Intuitively, you can think of this as the first block created.
params*

20 Bytes - Address

20 Bytes - Address

20 Bytes - Address

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json